--scenario utilities 
local ScenarioUtils = import('/lua/sim/ScenarioUtilities.lua') 
local ScenarioFramework = import('/lua/ScenarioFramework.lua') 

function OnPopulate()    
   ScenarioUtils.InitializeArmies()    
   local tblArmy = ListArmies() 
    
   --add unit restrictions
   for index,army in tblArmy do 
      	ScenarioFramework.AddRestriction(army, categories.NUKE*categories.STRUCTURE)
	ScenarioFramework.AddRestriction(army, categories.ARTILLERY*categories.EXPERIMENTAL)
	ScenarioFramework.AddRestriction(army, categories.ARTILLERY*categories.TECH3)
	ScenarioFramework.AddRestriction(army, categories.NUKE*categories.EXPERIMENTAL)
	ScenarioFramework.RemoveRestriction(army,categories.ARTILLERY*categories.FACTORY)
   end 
end 


--start of map script 

function OnStart(self)

#    self.Wind = Sound { Cue='Amb_Planet_Wind_01', Bank='AmbientTest' }
#    PlayLoop(self.Wind)
end
